Loading...
Searching...
No Matches
RadioAction Class Reference

`#include <gx_main_window.h>`

Inheritance diagram for RadioAction:

## Public Member Functions

bool | get_current_value () const
void | set_current_value (int v)

## Static Public Member Functions

static Glib::RefPtr< RadioAction > | create (const Glib::ustring &name)

## Protected Member Functions

| RadioAction (const Glib::ustring &name)

## Detailed Description

Definition at line 71 of file gx_main_window.h.

## Constructor & Destructor Documentation

## RadioAction()

RadioAction::RadioAction | ( | const Glib::ustring & | name | ) |

protected

Referenced by create().

## Member Function Documentation

## create()

Glib::RefPtr< RadioAction > RadioAction::create | ( | const Glib::ustring & | name | ) |

inline static

Definition at line 75 of file gx_main_window.h.

## get_current_value()

bool RadioAction::get_current_value | ( |  | ) | const

inline

Definition at line 78 of file gx_main_window.h.

## set_current_value()

void RadioAction::set_current_value | ( | int | v | ) |

inline

Definition at line 79 of file gx_main_window.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h